Alpha Video Training
Results 1 to 8 of 8

Thread: NOTICE: Removal of the V9 Compatability Server

  1. #1
    Alpha Software Employee Lenny Forziati's Avatar
    Real Name
    Lenny Forziati
    Join Date
    Nov 2001
    Location
    Alpha Software
    Posts
    4,695

    Exclamation NOTICE: Removal of the V9 Compatability Server

    The Alpha Five Version 10 Application Server includes an option to enable a V9 Compatibility Server. This feature was added prior to release as a fail-safe option for users that encountered any unexpected problems with an older application using the newer server. Alpha has not received any reports of issues requiring the use of the V9 Compatibility Server for a significant time, so we are planning to remove this in an upcoming patch.

    If you are currently using the V9 Compatibility Server, please turn it off at your earliest convenience and test your application(s) with Version 10. If you encounter any problems, please report them using the Send a Bug Report option on Alpha's Help menu. We will investigate the problem and work to resolve it so your legacy application works correctly in Version 10.

    To disable, enable, or verify the state of the V9 Compatibility Server, open the Application Server Control Panel and look at the Version 9 Compatibility Server checkbox at the bottom of the General tab. This should be unchecked to disable the V9 Compatibility Server. Be sure to save your settings and restart the server after making any changes.
    V9Compatibility.jpg

    Lenny Forziati
    Vice President, Internet Products and Technical Services
    Alpha Software Corporation

  2. #2
    "Certified" Alphaholic mmaisterrena's Avatar
    Real Name
    Mauricio Maisterrena
    Join Date
    Nov 2006
    Location
    Torreon, Mexico
    Posts
    1,435

    Default Re: NOTICE: Removal of the V9 Compatability Server

    I have already reported a problem with A5 v9 apps running on A5 v10 WAS even with compatibility mode active
    Selwyn told me that it wont be fixed, but anyways...

    Bug Report:
    If a foreign language character is inserted into a memo field the record cant be submitted (this was possible on WAS v9 although the foreign character was replaced by other strange characters, but at least the record could be submitted)

    This is how to reproduce it:
    1. Make a grid in v9, include a memo field on the dbf. table and make a text area on the grid for editing the memo field
    2. Run the grid in v10 WAS
    3. Now try adding a record (or editing an existing one) placing foreign characters like Ñ (try inserting this frase: Tomé mucho tequila en año nuevo)
    4. click submit and the memo field will not save the data. (or it might just save incomplete data).
    Last edited by mmaisterrena; 03-02-2010 at 12:15 PM.
    Cheers
    Mauricio


  3. #3
    Member
    Real Name
    Omar Garcia
    Join Date
    Jun 2006
    Location
    Alamo, Texas
    Posts
    582

    Default Re: NOTICE: Removal of the V9 Compatability Server

    Build 2607-3506
    Will not load app with v9 switch off

  4. #4
    Alpha Software Employee Lenny Forziati's Avatar
    Real Name
    Lenny Forziati
    Join Date
    Nov 2001
    Location
    Alpha Software
    Posts
    4,695

    Default Re: NOTICE: Removal of the V9 Compatability Server

    Quote Originally Posted by omagarc View Post
    Build 2607-3506
    Will not load app with v9 switch off
    Omar, please submit a bug report with a detailed description of the specific problem.

    Lenny Forziati
    Vice President, Internet Products and Technical Services
    Alpha Software Corporation

  5. #5
    Member
    Real Name
    Omar Garcia
    Join Date
    Jun 2006
    Location
    Alamo, Texas
    Posts
    582

    Default Re: NOTICE: Removal of the V9 Compatability Server

    Updated to latest v10 release and all appears well with switch off.

  6. #6
    Member
    Real Name
    Gregory Zilliox
    Join Date
    Sep 2005
    Location
    Lewiston, NY
    Posts
    202

    Default Re: NOTICE: Removal of the V9 Compatability Server

    Lenny
    We have issues today but no time to investigate. I rolled back to 2/3/2010 version.
    Will investigate as soon as possible.

  7. #7
    Alpha Software Employee Lenny Forziati's Avatar
    Real Name
    Lenny Forziati
    Join Date
    Nov 2001
    Location
    Alpha Software
    Posts
    4,695

    Default Re: NOTICE: Removal of the V9 Compatability Server

    I've already emailed you directly Greg.

    Lenny Forziati
    Vice President, Internet Products and Technical Services
    Alpha Software Corporation

  8. #8
    Alpha Software Employee Lenny Forziati's Avatar
    Real Name
    Lenny Forziati
    Join Date
    Nov 2001
    Location
    Alpha Software
    Posts
    4,695

    Default Re: NOTICE: Removal of the V9 Compatability Server

    There is a known incompatibility with the V10 server and the previously available Alpha Five module for Apache. The module was never officially supported and was discontinued quite some time ago, so this incompatibility will not be addressed in the V10 server.

    There are two options available to customers that may still be using the old module.
    1. Remove Apache from in front of the Application Server, moving the Application server directly to port 80 (or whichever port you are publicly providing service on).
    2. Modify the Apache module configuration so that it is not doing any directory mapping.


    Option 1 is preferable because the module requires the use of an old Apache release that has known security issues. The exact configuration required to replace Apache will depend on how it is currently being used. See http://wiki.alphasoftware.com/Applic...+in+Version+10 for new configuration options in V10 that remove the need for the old module's functionality.

    Lenny Forziati
    Vice President, Internet Products and Technical Services
    Alpha Software Corporation

Similar Threads

  1. Anyone notice the A5W_INCLUDE() function defeats page security?
    By Hansolo in forum Application Server Version 9 - Web/Browser Applications
    Replies: 3
    Last Post: 05-27-2009, 10:59 AM
  2. Notice for ending support
    By martinwcole in forum Archived Wishlist
    Replies: 1
    Last Post: 06-06-2006, 11:34 AM
  3. build 1536_2010 - notice
    By Selwyn Rabins in forum Web Application Server v6
    Replies: 0
    Last Post: 09-20-2004, 07:30 PM
  4. Bar Removal?
    By pps in forum Alpha Five Version 5
    Replies: 10
    Last Post: 08-14-2004, 01:13 PM
  5. Removal of Underscore
    By seidel1 in forum Alpha Five Version 5
    Replies: 5
    Last Post: 06-04-2004, 09:40 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •